| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdpostct.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_post_controller

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_post_controller * | my_post_ptr

## Functions
| METHODDEF (void)
| post_process_1pass (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION *in_row_group_ctr, JDIMENSION in_row_groups_avail, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| post_process_prepass (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION *in_row_group_ctr, JDIMENSION in_row_groups_avail, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| post_process_2pass (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION *in_row_group_ctr, JDIMENSION in_row_groups_avail, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| jinit_d_post_controller (j_decompress_ptr cinfo, boolean need_full_buffer)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 19 of file jdpostct.c.

## Typedef Documentation

typedef my_post_controller* my_post_ptr

Definition at line 42 of file jdpostct.c.

## Function Documentation

jinit_d_post_controller | ( | j_decompress_ptr | cinfo,
|  | boolean | need_full_buffer
| ) |  |

Definition at line 250 of file jdpostct.c.

METHODDEF | ( | void |  | ) |

Definition at line 46 of file jdpostct.c.

post_process_1pass | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION * | in_row_group_ctr,
|  | JDIMENSION | in_row_groups_avail,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 126 of file jdpostct.c.

post_process_2pass | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION * | in_row_group_ctr,
|  | JDIMENSION | in_row_groups_avail,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 202 of file jdpostct.c.

post_process_prepass | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION * | in_row_group_ctr,
|  | JDIMENSION | in_row_groups_avail,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 158 of file jdpostct.c.